#pragma once

#include <string>
#include "gcode_commands.h"

namespace grbl {

    struct grbl_file {

        grbl_file() = default;
        grbl_file(std::vector<grbl::command *> commands);
        static grbl_file load(std::string path);

        std::vector<std::string> get_gcode();

        std::vector<grbl::command *> commands;
    };
}